import * as SensorJSInterface from './SensorJSInterface';
import pubnumDriver from './drivers/pubnub';
import ablyDriver from './drivers/ably';
import log from 'loglevel';

log.setLevel("error", true);

module.exports = class SensorJS {
    constructor(driverName, options, callback) {
        
        if ( options.logLevel ) 
            log.setLevel(options.logLevel, true);
        
        const _package = require('../../package.json');
        log.info(`DropPaySensorJS V${_package?.version}`);

        switch (driverName) {
            case "pubnub":
                return new pubnumDriver(options, callback)[SensorJSInterface.rtcInterfaceId];
            case "ably":
                return new ablyDriver(options, callback)[SensorJSInterface.rtcInterfaceId];
        }
    }
}
